



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Java中的日期格式转化</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Java中的日期格式转化</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-28 19:20:01 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<div>
<pre class="prettyprint linenums"> package lianxi;

 import java.text.ParseException;<br />
 import java.text.SimpleDateFormat;<br />
 import java.util.Date;

 public class date {

     public static void main(String[] args)<br />
     {<br />
         Date date = new Date();<br />
         SimpleDateFormat sdf = new SimpleDateFormat(" yyyy-MM-dd E a hh:mm:ss  zzz");// 年-月-日 星期几 上、下午 时：分：秒 时区

         System.out.println(sdf.format(date));// 2018-01-31 星期三 下午 01:45:58 CST<br />
         /**<br />
          * 将年月日的日期格式转化为日期date格式<br />
          */<br />
           SimpleDateFormat sdf1 = new SimpleDateFormat("yyyy-MM-dd"); //年月日的格式<br />
          String input =<br />
          "1998-04-19";<br />
          try {<br />
              Date date1 = sdf1.parse(input);<br />
              System.out.printf("%tF%n",date1);//1998-04-19  %tF是年月日格式

          System.out.println(input);//1998-04-19<br />
          System.out.println(date1); //Sun Apr 19 00:00:00 CST 1998<br />
          } catch<br />
          (ParseException e) {<br />
              e.printStackTrace();<br />
           }

         //日期格式的另一种使用方法 ，用printf格式化日期。使用两个字母的格式，它以%t开头并以c,f,d.r,T,R中的一个字母结尾<br />
          //c的使用<br />
          System.out.printf("全部日期和时间信息：%tc%n",date);<br />
          //f的使用<br />
          System.out.printf("年-月-日格式：%tF%n",date);<br />
          //d的使用<br />
          System.out.printf("月/日/年格式：%tD%n",date);<br />
          //r的使用<br />
          System.out.printf("HH:MM:SS PM格式（12时制）：%tr%n",date);<br />
          //t的使用<br />
          System.out.printf("HH:MM:SS格式（24时制）：%tT%n",date);<br />
          //R的使用<br />
          System.out.printf("HH:MM格式（24时制）：%tR",date);<br />
     }

 }</pre>
</div>
<p>System.out.printf()方法可以对日期做处理输出。</p>
<p>对应列表</p>
<table>
<tbody>
<tr>
<td>转换符</td>
<td>类型</td>
<td>举例</td>
</tr>
<tr>
<td>c</td>
<td>完整的日期和时间</td>
<td>Mon Feb 09 18:05:11 PST 2004</td>
</tr>
<tr>
<td>F</td>
<td>ISO 8061日期</td>
<td>2004-02-09</td>
</tr>
<tr>
<td>D</td>
<td>美国格式的日期</td>
<td>02/09/2004</td>
</tr>
<tr>
<td>T</td>
<td>24小时时间</td>
<td>18:03:23</td>
</tr>
<tr>
<td>r</td>
<td>12小时时间</td>
<td>05:03:23 pm</td>
</tr>
<tr>
<td>R</td>
<td>24小时时间没有秒</td>
<td>18:05</td>
</tr>
<tr>
<td>Y</td>
<td>4位数字的年（前面补0）</td>
<td>2004</td>
</tr>
<tr>
<td>y</td>
<td>年的后两位数字（前面补0）</td>
<td>04</td>
</tr>
<tr>
<td>C</td>
<td>年的前两位数字（前面补0）</td>
<td>20</td>
</tr>
<tr>
<td>B</td>
<td>月的完整拼写</td>
<td>February</td>
</tr>
<tr>
<td>b或h</td>
<td>月的缩写</td>
<td>Feb</td>
</tr>
<tr>
<td>m</td>
<td>两位数字的月（前面补0）</td>
<td>02</td>
</tr>
<tr>
<td>d</td>
<td>两位数字的日（前面补0）</td>
<td>09</td>
</tr>
<tr>
<td>e</td>
<td>两位数字的月（前面不补0）</td>
<td>9</td>
</tr>
<tr>
<td>A</td>
<td>星期几的完整拼写</td>
<td>Monday</td>
</tr>
<tr>
<td>a</td>
<td>星期几的缩写</td>
<td>Mon</td>
</tr>
<tr>
<td>j</td>
<td>三位数的年中的日子（前面补0），在001到366之间</td>
<td>069</td>
</tr>
<tr>
<td>H</td>
<td>两位数字的小时（前面补0），在0到23之间</td>
<td>18</td>
</tr>
<tr>
<td>k</td>
<td>两位数字的小时（前面不补0）在0到23之间</td>
<td>8</td>
</tr>
<tr>
<td>I（大写的i）</td>
<td>两位数字的小时（前面补0），在0到12之间</td>
<td>06</td>
</tr>
<tr>
<td>l（小写的L）</td>
<td>两位数字的小时（前面不补0），在0到12之间</td>
<td>6</td>
</tr>
<tr>
<td>M</td>
<td>两位数字的分钟（前面补0）</td>
<td>05</td>
</tr>
<tr>
<td>S</td>
<td>两位数字的秒（前面补0）</td>
<td>19</td>
</tr>
<tr>
<td>L</td>
<td>三位数字的毫秒（前面补0）</td>
<td>047</td>
</tr>
<tr>
<td>N</td>
<td>九位数字的毫微秒（前面补0）</td>
<td>047000000</td>
</tr>
<tr>
<td>P</td>
<td>上午或者下午的大写标志</td>
<td>PM</td>
</tr>
<tr>
<td>p</td>
<td>上午或者下午的小写标志</td>
<td>pm</td>
</tr>
<tr>
<td>z</td>
<td>从GMT起，RFC822数字移位</td>
<td>-0800</td>
</tr>
<tr>
<td>Z</td>
<td>时区</td>
<td>PST</td>
</tr>
<tr>
<td>s</td>
<td>从格林威治时间1970-01-01 00:00:00起的秒数</td>
<td>107884319</td>
</tr>
<tr>
<td>Q</td>
<td>从格林威治时间1970-01-01 00:00:01起的毫秒数</td>
<td>107884319047</td>
</tr>
</tbody>
</table>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/xq44060q.html">string类里find的用法</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8orw3x8.html">动态链接库&lpar;DLL&rpar;总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdek6179.html">Hadoop家族学习路线图--转载</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7m123xq.html">【课程分享】Oracle数据库系统project师</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1zxoe29.html">Java 最简单的批处理</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pdj6jd9.html">如何解决ORA-12547&colon; TNS&colon;lost contact错</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rgyg3d8.html">PAT &lpar;Advanced Level&rpar; 1011&period; World Cup Betting &lpar;20&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/96p4kxy8.html">Activemq集群搭建</a>
		</li>
						<li><a href="https://www.batexi.com/a/q25w34xq.html">Linux搜索文件或内容</a>
		</li>
						<li><a href="https://www.batexi.com/a/qll14p0q.html">环境变量配置的作用和区别：Path、Classpath、JAVA&lowbar;HOME</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7ogpm18.html">JavaScript学习历程01</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyyggrgq.html">odoo二次开发 tips</a>
		</li>
						<li><a href="https://www.batexi.com/a/qll3p11q.html">&lbrack;C&num;基础&rsqb;说说lock到底锁谁？（补充与修改）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m21vp2q.html">《Linux性能及调优指南》第二章：监控和基准工具2&period;1-2&period;2</a>
		</li>
						<li><a href="https://www.batexi.com/a/93we7n0q.html">RepeatMasker</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zymvmn9.html">java&colon;static详解</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4pgpn0q.html">&lbrack;SDOI2008&rsqb;洞穴勘测</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o4kd45q.html">移动端Web页面问题解决方案</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gp3wgl9.html">GCD之各种派发</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnn4wk2q.html">futuba R70085SB 接收机 只有SBus端口有输出其他端口输出不变</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/90rplln9.html">centos7上 docket无权限的问题</a>
			</li>
						<li><a href="https://www.batexi.com/a/8kjvl179.html">htop使用详解</a>
			</li>
						<li><a href="https://www.batexi.com/a/qnvy6wx8.html">解决python多版本共存问题</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4jk1rnq.html">C&num;反射实现  C&num; 反射 判断类的延伸类型  使用代码生成工具Database2Sharp快速生成工作流模块控制器和视图代码  C&num; ADO&period;NET的SqlDataReader对象&comma;判断是否包含指定字段 页面中添加锚点的几种方式  &period;net 简单实用Log4net（多个日志配置文件）  C&num; 常用小点</a>
			</li>
						<li><a href="https://www.batexi.com/a/93wv15rq.html">redis详解（三）-- 面试题&lpar;转载&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7ogyp18.html">微表面分布函数（Microfacet Distribution Function）确切含义</a>
			</li>
						<li><a href="https://www.batexi.com/a/93wv4j0q.html">mschart  asp chart 用法，包括前台写法与后台写法，还有click事件，如何触发。</a>
			</li>
						<li><a href="https://www.batexi.com/a/90rp3pm9.html">恶心github 下载慢</a>
			</li>
						<li><a href="https://www.batexi.com/a/960yvjj9.html">Canvas入门到高级详解&lpar;中&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/9j12w1e9.html">微信jssdk常见错误及解决方法</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
